TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.TemporaryQueue Class Reference

A TemporaryQueue object is a unique Queue object created for the duration of a Connection. It is a system-defined queue that can be consumed only by the Connection that created it. More...

Inheritance diagram for TIBCO.EMS.TemporaryQueue:

## Public Member Functions
override Object | Clone ()
| Throws a NotSupported Exception More...
void | Delete ()
| Deletes a temporary queue that belongs to this connection. More...
Public Member Functions inherited from TIBCO.EMS.Queue
| Queue (string name)
| Constructs a new Queue object with the given name. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...
override string | ToString ()
| Returns a string representation of this `Queue` object. More...
Public Member Functions inherited from TIBCO.EMS.Destination
override string | ToString ()
| Returns a string representation of the destination. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...

## Additional Inherited Members
Properties inherited from TIBCO.EMS.Queue
string | QueueName`[get]`
| Gets the name of the queue More...

## Detailed Description

A TemporaryQueue object is a unique Queue object created for the duration of a Connection. It is a system-defined queue that can be consumed only by the Connection that created it.

A TemporaryQueue object can be created at either the Session or QueueSession level. Creating a TemporaryQueue at the Session level allows the TemporaryQueue to participate in transactions with objects from the Pub/Sub domain. If a TemporaryQueue is created at the QueueSession level, it will only be able participate in transactions with objects from the PTP domain.

Programs can use temporary queues as reply destinations. A temporary queue exists only for the duration of the session's connection, and is available only within that connection. Only consumers associated with the same connection as the temporary queue can consume messages from it.

## Member Function Documentation

override Object TIBCO.EMS.TemporaryQueue.Clone | ( |  | ) |
| inline virtual

Throws a NotSupported Exception

Reimplemented from TIBCO.EMS.Queue.

void TIBCO.EMS.TemporaryQueue.Delete | ( |  | ) |
| inline

Deletes a temporary queue that belongs to this connection.

When a client deletes a temporary queue, the server deletes any unconsumed messages in the queue.

If the client still has listeners or receivers for the queue, or is in the middle of a Receive call, then Delete throws an EMSException.